﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class EjemploPrefabs : MonoBehaviour
{
    private List<GameObject> misClones = new List<GameObject>();
    public GameObject miPrefab;
    void OnEnable()
    {
        EjemploCorrutinas.OnFinalCuenta += MatarClones;        
    }
    void OnDisable()
    {
        EjemploCorrutinas.OnFinalCuenta -= MatarClones;
    }
    void Update()
    {
        if(Input.GetKeyDown(KeyCode.C))
        {
            GameObject miClon=Instantiate(miPrefab,
                Random.insideUnitSphere * 5f,
                Quaternion.identity);
            misClones.Add(miClon);
        }
        if(Input.GetKeyDown(KeyCode.M))
        {
            MatarClones();
        }
    }
    void MatarClones()
    {
        foreach(GameObject miClon in misClones)
        {
            Destroy(miClon);
        }
        misClones.Clear();
    }
}
